import { TBasePageEntity } from '@cromwell/core';
import React from 'react';
export declare class TextEditor extends React.Component<{
    initialValue: string | undefined;
    entity: TBasePageEntity;
    onChange?: (value: any) => void;
    label?: React.ReactNode;
    placeholder?: string;
    fixedHeight?: boolean;
    getId?: (id: string) => void;
    id?: string;
}> {
    editorId: string;
    initialValue: string;
    initPromise: null | Promise<void>;
    constructor(props: any);
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    private checkUpdate;
    private initEditor;
    render(): JSX.Element;
}
